> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get data links for a data link table instance



## OpenAPI

````yaml /api-reference/membrane-api.json get /data-link-tables/{idOrKey}/links
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /data-link-tables/{idOrKey}/links:
    get:
      tags:
        - DataLinkTables
      summary: Get data links for a data link table instance
      operationId: getDataLinkTableLinks
      parameters:
        - name: idOrKey
          required: true
          in: path
          schema:
            type: string
        - name: id
          required: false
          in: query
          schema:
            type: string
        - name: integrationKey
          required: false
          in: query
          schema:
            type: string
        - name: integrationId
          required: false
          in: query
          schema:
            type: string
        - name: connectionId
          required: false
          in: query
          schema:
            type: string
        - name: connectionKey
          required: false
          in: query
          schema:
            type: string
        - name: instanceKey
          required: false
          in: query
          schema:
            type: string
        - name: dataLinkTableId
          required: false
          in: query
          schema:
            type: string
        - name: dataLinkTableKey
          required: false
          in: query
          schema:
            type: string
        - name: autoCreate
          required: false
          in: query
          schema:
            type: boolean
        - name: direction
          required: false
          in: query
          schema:
            type: string
            enum:
              - import
              - export
              - both
        - name: appRecordId
          required: false
          in: query
          schema:
            type: string
        - name: externalRecordId
          required: false
          in: query
          schema:
            type: string
        - name: limit
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 1000
            type: integer
        - name: cursor
          required: false
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DataLinksPaginatedResponseDto'
components:
  schemas:
    DataLinksPaginatedResponseDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              dataLinkTableInstanceId:
                type: string
              externalRecordId:
                type: string
              appRecordId:
                type: string
              direction:
                type: string
                enum:
                  - import
                  - export
                  - both
            required:
              - id
              - dataLinkTableInstanceId
              - externalRecordId
              - appRecordId
              - direction
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````